Verifying signatures of pdf files
Closed, ResolvedPublic

Description

The following features needs to be implemented before okular supports digital signature verification:

  • 2.Revision manager to keep track of previously signed versions of the document.
  • 3.Signature summary dialog to inform user about document’s integrity and authenticity.
  • 4.A popup to display the signature validation summary.
  • 5.Certificate properties dialog to display information such as signer’s name, issuer’s name, signing time, algorithm used, intended usage of the certificate, etc.
  • 6.Signature widget.
  • 7.Signature panel to provide one point access to signature properties and previously signed versions of a document.
  • 8.Menu actions.
chinmoyr created this task.May 14 2018, 4:24 PM
chinmoyr triaged this task as Normal priority.
chinmoyr updated the task description. (Show Details)Jun 4 2018, 9:01 AM
chinmoyr updated the task description. (Show Details)Jun 15 2018, 12:58 PM
chinmoyr updated the task description. (Show Details)Aug 14 2018, 2:46 PM
aacid updated the task description. (Show Details)Thu, Jan 10, 10:23 PM
aacid updated the task description. (Show Details)
aacid added a comment.Wed, Jan 16, 9:40 PM

@chinmoyr what was " 8.Menu actions." ?

@aacid Add an action to "Tools" menu for accessing the signature panel. Optionally add an action to verify all signatures but I feel it's redundant due of the message widget.

aacid closed this task as Resolved.Sun, Jan 20, 11:07 PM

Honestly i don't see the reason for there beeing a tools menu for the signature panel, none of the other panels are there.

I'll mark this as Resolves, complain if you disagree :)